> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.simplified.com/api-reference/platform/project-items/assign-agent-to-item/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplified.com/_mcp/server. # API · Items · Assign agent to item POST https://api.simplified.com/api/v1/projects/{resourcetype}/{parent_lookup_project_id}/items/{id}/assign-agent Content-Type: application/json Assign or reassign an AI agent (Chatbot) to a project item. The agent will be responsible for processing or executing the item. Reference: https://docs.simplified.com/api-reference/platform/project-items/assign-agent-to-item ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Header authentication of the form `Api-Key ` - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `resourcetype` (string, required) — Project type selector - `parent_lookup_project_id` (string, required) — Parent project ID - `id` (string, required) — Item ID (UUID) ### Body (application/json) This endpoint expects an AssignAgentRequest. - `agent_id` (string, required) — UUID of the agent (Chatbot) to assign to this item ## Response ### 200 Agent assigned - `any` ## Errors ### 400 Bad Request Error Validation error - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Item not found - `any` ## Examples **Request** ```json { "agent_id": "a1b2c3d4-e5f6-7890-abcd-000000000001" } ``` **SDK Code** ```python Project Items_assignAgentToItem_example import requests url = "https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/assign-agent" payload = { "agent_id": "a1b2c3d4-e5f6-7890-abcd-000000000001" } headers = { "Authorization": "Api-Key ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Project Items_assignAgentToItem_example const url = 'https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/assign-agent'; const options = { method: 'POST', headers: {Authorization: 'Api-Key ', 'Content-Type': 'application/json'}, body: '{"agent_id":"a1b2c3d4-e5f6-7890-abcd-000000000001"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Project Items_assignAgentToItem_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/assign-agent" payload := strings.NewReader("{\n \"agent_id\": \"a1b2c3d4-e5f6-7890-abcd-000000000001\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Api-Key ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Project Items_assignAgentToItem_example require 'uri' require 'net/http' url = URI("https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/assign-agent") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Api-Key ' request["Content-Type"] = 'application/json' request.body = "{\n \"agent_id\": \"a1b2c3d4-e5f6-7890-abcd-000000000001\"\n}" response = http.request(request) puts response.read_body ``` ```java Project Items_assignAgentToItem_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/assign-agent") .header("Authorization", "Api-Key ") .header("Content-Type", "application/json") .body("{\n \"agent_id\": \"a1b2c3d4-e5f6-7890-abcd-000000000001\"\n}") .asString(); ``` ```php Project Items_assignAgentToItem_example request('POST', 'https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/assign-agent', [ 'body' => '{ "agent_id": "a1b2c3d4-e5f6-7890-abcd-000000000001" }', 'headers' => [ 'Authorization' => 'Api-Key ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Project Items_assignAgentToItem_example using RestSharp; var client = new RestClient("https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/assign-agent"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Api-Key "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"agent_id\": \"a1b2c3d4-e5f6-7890-abcd-000000000001\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Project Items_assignAgentToItem_example import Foundation let headers = [ "Authorization": "Api-Key ", "Content-Type": "application/json" ] let parameters = ["agent_id": "a1b2c3d4-e5f6-7890-abcd-000000000001"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/assign-agent")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```